# [OmniOS-discuss] PHP on LTS

John D Groenveld jdg117 at elvis.arl.psu.edu
Thu Sep 8 15:17:13 UTC 2016

- Previous message: [OmniOS-discuss] PHP on LTS
- Next message: [OmniOS-discuss] otherwise stable system sudden crashing
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

    In message <20160907211528.35bd852c at kendall>, Michael Mounteney writes:
    >OK, my secret shame:  I want to install PHP on r151014.  How ?  Latest
    >version available.

    On r151018, PHP-7 builds from source:
    # pkg install developer/gcc51 system/header gnu-make
    $ env PATH=/usr/bin:/usr/sbin:/usr/ccs/bin:/usr/gnu/bin:/opt/gcc-5.1.0/bin:/opt/apache2/bin:/opt/postgres/bin \
    CC=gcc CFLAGS="-m64 -std=gnu99" LDFLAGS=-m64 \
    ./configure --prefix=/opt/apache2/php-7 \
    --with-apxs2=/opt/apache2/bin/apxs \
    --with-pgsql=/opt/postgres

    John
    groenveld at acm.org

- Previous message: [OmniOS-discuss] PHP on LTS
- Next message: [OmniOS-discuss] otherwise stable system sudden crashing
- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]

More information about the OmniOS-discuss mailing list